libzypp 17.37.10

logichelpers.h File Reference
`#include <zypp-core/zyppng/async/AsyncOp>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::LogicBaseExec< Op, typename >
struct | zyppng::detail::LogicBaseExec< Op, std::enable_if_t< detail::is_async_op_v< Op > > >
struct | zyppng::MaybeAsyncMixin< isAsync >
struct | zyppng::LogicBase< Executor, OpType >
struct | zyppng::SyncOp< Result >
struct | zyppng::SimpleExecutor< Logic, OpType >

## Namespaces
namespace | zyppng
namespace | zyppng::detail

## Macros
#define | ZYPP_ENABLE_MAYBE_ASYNC_MIXIN(IsAsync)
#define | ZYPP_ENABLE_LOGIC_BASE(Executor, OpType)

## Macro Definition Documentation

## ◆ ZYPP_ENABLE_MAYBE_ASYNC_MIXIN

#define ZYPP_ENABLE_MAYBE_ASYNC_MIXIN | ( |  | IsAsync | ) |

Value:
using MaybeAsyncMixin<IsAsync>::makeReadyResult; \
template<class T> \
using MaybeAsyncRef = typename MaybeAsyncMixin<IsAsync>:: template MaybeAsyncRef<T>

Forward declares some convenience functions from MaybeAsyncMixin class so they can be used directly See MaybeAsyncMixin for documentation

Definition at line 62 of file logichelpers.h.

## ◆ ZYPP_ENABLE_LOGIC_BASE

#define ZYPP_ENABLE_LOGIC_BASE | ( |  | Executor,
|  |  | OpType )

Value:
using LogicBase<Executor, OpType>::executor; \
using LogicBase<Executor, OpType>::makeReadyResult; \
template<class T> \
using MaybeAsyncRef = typename LogicBase<Executor, OpType>:: template MaybeAsyncRef<T>

Forward declares some convenience functions from Base class so they can be used directly See LogicBase for documentation

Definition at line 223 of file logichelpers.h.